<nav>
  <a routerLink="/login">Вход</a>
  <a routerLink="/registration">Регистрация</a>
</nav>

<div class="container">
  <h3>Вход</h3>
  <form [formGroup]="loginForm" noValidate (ngSubmit)="submit()">

    <div class="form-group">
      <label>Email:</label>
      <input class="form-control" formControlName="email" required>

      <div class="alert alert-danger"
           *ngIf="loginForm.controls['email'].invalid && loginForm.controls['email'].touched">
        Не указан email
      </div>

    </div>

    <div class="form-group">
      <label>Password:</label>
      <input class="form-control" formControlName="password" required>

      <div class="alert alert-danger"
           *ngIf="loginForm.controls['password'].invalid && loginForm.controls['password'].touched">
        Не указан пароль
      </div>

    </div>

    <div class="form-group">
      <button class="btn btn-default" [disabled]="loginForm.invalid">
        Вход
      </button>

      <button class="btn btn-success" (click)="logout()">
        Выход
      </button>
    </div>
  </form>
</div>



